1

If we want PoW is not performed in the device (in particular for low energy devices) we can use iota.lib.js.powsrvio.

How to use powsrv.io? And what are prerequirements ? (Assume we want to use it in a small device supports LoraWAN. You can see an example of this small device here: Link to the device.)

For more information, please see following article : https://medium.com/@harmvandenbrink/lorawan-and-iota-proof-of-concept-of-storing-data-in-real-time-in-the-tangle-9ba6a109b552

  • If you can install and use NodeJS + npm on the device, you can use the library. Otherwise no. – kfx Jan 9 at 10:06
  • @kfx , That's exactly my question: Is it possible to install IOTA on a LoraWAN device? (According to IOTA implementation versions in its official Github repository (github.com/iotaledger)) Thanks – Questioner Jan 9 at 10:12
  • There's no such thing as a "LoraWAN device". There are some devices that can support the LoRaWAN Class A, Class B or Class C functionality. Be more specific what you need. In any case, the particular library you mention depends on NodeJS & its infrastructure. – kfx Jan 9 at 13:43
  • @kfx OK.I used the same term of the article (where Harm van den Brink (a IOTA foundation member) says "The LoraWAN device I used bought at AliExpress → Link to the device"). However, my main question is that is it possible to install IOTA on such a small device? Or we have to interact with IOTA tangle by a normal computer? I think proposed idea in article has an architecture like this figure: imgur.com/a/ZvkgkBu Am I wrong? Thx – Questioner Jan 9 at 14:07
  • I will answer to the original question. Don't raise more questions in the comments. Open new one(s) if appropriate for this site, otherwise do you own research. – kfx Jan 9 at 15:06
1

The iota.lib.js.powsrvio in your question is a NodeJS library: https://www.npmjs.com/package/iota.lib.js.powsrvio

How to use powsrv.io?

To use NodeJS libraries, you need to install NodeJS. That is something you can do on any Linux distribution, for example.

And what are prerequirements ?

The system must have enough RAM, program memory and computing power to be able to run NodeJS and install npm packages. To use powsrv.io as intended, you also need a HTTPS connectivity. This is something you will not have on a device only connected through LoRaWAN.

The device you link to (TTGO T Deer Pro mini LoRa) apparently "for Arduino". I don't know much about Arduino, but according to this answer there are some Arduinos that run Linux and can install NodeJS. However, this is not the intended usage of the library - it makes sense to use in on the LoRaWAN base station side, but not on the LoRaWAN data producer side.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.